Name:                  fixedptc
Version:               0

%global forgeurl       https://sourceforge.net/projects/%{name}/
%global date           20200228
%global commit         b8acfecf8c010b0c003bbd04df62f89afbca1e20
%global scm            hg
%global archiveext     zip
%global archivename    %{name}-code
%global forgesource    https://sourceforge.net/code-snapshots/%{scm}/f/fi/%{name}/code/%{archivename}-%{commit}.zip
%global forgesetupargs -n %{name}-code-%{commit}

%forgemeta             -v

Release:               2%{?dist}
Summary:               Fixed point math header only library for C
License:               BSD
Url:                   %{forgeurl}
Source0:               %{forgesource}
BuildArch:             noarch
BuildRequires:         gcc

%description


%package  devel
Summary:  Fixed point math header only library for C
Requires: pkgconfig


%description devel
Development package for fixed point math header only library for C.

Features:
 - 32-bit and 64-bit precision support
   (for compilers with __int128_t extensions like gcc)
 - Arbitrary precision point (e.g. 24.8 or 32.32)
 - Pure header-only
 - Pure integer-only (suitable for kernels, embedded CPUs, etc)


%prep
%forgesetup


%build
%set_build_flags
%{make_build} test verify_32
# This test requires 64-bit platform
%if %{__isa_bits} == 64
%{make_build} test verify_64
%endif

%install
install -p -m 0644 -D %{name}.h %{buildroot}%{_includedir}/%{name}/%{name}.h


%check
./test
./verify_32
# This test requires 64-bit platform
%if %{__isa_bits} == 64
./verify_64
%endif

%files devel
# Note: we do not have a separate license file,
# however, the header file contains the text of the license.
# % license
%doc README.txt
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/%{name}.h


%changelog
* Tue Mar 03 2020 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.20200228-2
- Use %%set_build_flags

* Mon Mar 02 2020 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.20200228-1
- Remove patches upstream merged

* Fri Feb 28 2020 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.20150308-1
- Initial RPM release.
